Data diffs
Cancel a running data diff
Cancels a data diff that is currently queued or running.
This operation stops the diff execution and marks it as cancelled. If the diff has already completed or been cancelled, this operation has no effect and returns the current status.
Use this to stop long-running diffs that are no longer needed or were started with incorrect parameters.
POST
/
api
/
v1
/
datadiffs
/
{datadiff_id}
/
cancel
Cancel a running data diff
curl --request POST \
--url https://app.datafold.com/api/v1/datadiffs/{datadiff_id}/cancel \
--header 'Authorization: <api-key>'import requests
url = "https://app.datafold.com/api/v1/datadiffs/{datadiff_id}/cancel"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.datafold.com/api/v1/datadiffs/{datadiff_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "needs_confirmation"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Use the 'Authorization' header with the format 'Key '
Path Parameters
⌘I
Cancel a running data diff
